sudo apt-get update issue

vikas007

New Member
Credits
29
I am not able to access s3 bucket in my ubuntu 20.04 Machine.

In /etc/apt/source.list have this line – “deb s3://AKXXXXXXXXXXX:[XXXXXXXXXXXXX]@s3-us-west-2.amazonaws.com/xyz/repository/debian/apt/xyz/miraz3_42 trusty main”



Once I run sudo apt-get update , facing below issue .



[email protected]:~# sudo apt-get update

Traceback (most recent call last):

File "/usr/lib/python3.8/urllib/request.py", line 1350, in do_open

h.request(req.get_method(), req.selector, req.data, headers,

File "/usr/lib/python3.8/http/client.py", line 1255, in request

self._send_request(method, url, body, headers, encode_chunked)

File "/usr/lib/python3.8/http/client.py", line 1301, in _send_request

self.endheaders(body, encode_chunked=encode_chunked)

File "/usr/lib/python3.8/http/client.py", line 1250, in endheaders

self._send_output(message_body, encode_chunked=encode_chunked)

File "/usr/lib/python3.8/http/client.py", line 1010, in _send_output

self.send(msg)

File "/usr/lib/python3.8/http/client.py", line 950, in send

self.connect()

File "/usr/lib/python3.8/http/client.py", line 921, in connect

self.sock = self._create_connection(

File "/usr/lib/python3.8/socket.py", line 808, in create_connection

raise err

File "/usr/lib/python3.8/socket.py", line 796, in create_connection

sock.connect(sa)

socket.timeout: timed out



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/usr/lib/apt/methods/s3", line 116, in __request_json

response = urllib.request.urlopen(request, None, 30)

File "/usr/lib/python3.8/urllib/request.py", line 222, in urlopen

return opener.open(url, data, timeout)

File "/usr/lib/python3.8/urllib/request.py", line 525, in open

response = self._open(req, data)

File "/usr/lib/python3.8/urllib/request.py", line 542, in _open

result = self._call_chain(self.handle_open, protocol, protocol +

File "/usr/lib/python3.8/urllib/request.py", line 502, in _call_chain

result = func(*args)

File "/usr/lib/python3.8/urllib/request.py", line 1379, in http_open



Wheather , I installed sudo apt-get install apt-transport-s3



But not able to update.



Please suggest any solution for this issue.
 


Members online


Top